// vim: set tw=80 ts=2 sw=2 sts=2:

import { Component } from '@angular/core'

import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { Login } from './login';

@Component({
  selector: 'login-modal',
  template: `
<div class="modal-header">
  <h3 class="modal-title" id="modal-title">Authentification requise</h3>
</div>

<div class="modal-body" id="modal-body">
  <form [(login-form)]="login" class="form-horizontal"
    (ngSubmit)="submit()" #form="ngForm">
  </form>
</div>

<div class="modal-footer">
  <button class="btn btn-primary" [disabled]="!form.valid" (click)="submit()">
    Login
  </button>

  <button class="btn btn-default" (click)="cancel()">
    Cancel
  </button>
</div>
  `
})
export class LoginModalComponent {
  private login: Login = new Login();

  constructor(private activeModal: NgbActiveModal) {
    
  }

  submit(): void {
    this.activeModal.close(this.login);
  }

  cancel(): void {
    this.activeModal.dismiss("closed");
  }
}
